#!/bin/bash

clear

echo -e "\n"

echo "#################################################"
echo "################  Frabits C.B.  #################"
echo "################                #################"
echo "################ Acceso Remoto  #################"
echo "################                #################"
echo "#################  07/01/2015  ##################"
echo "#################################################"

if which x11vnc >/dev/null; then
	echo -e "\n"
	echo "Antes de establecer una conexión, llámanos:"
	echo -e "\t 961153270"
	echo -e "\t 688979897\n"
	echo "Selecciona técnico:"
	echo -e "\t 1) Clemente"
	echo -e "\t 2) María José"
	echo "OPCIÓN (1/2): "
	read OPCION

	while [ $OPCION -lt 1 ] || [ $OPCION -gt 2 ]; do
        	echo "Opción no válida, valores permitidos: 1, 2"
		echo -e "\n"
        	echo "Selecciona técnico:"
	        echo -e "\t 1) Clemente"
        	echo -e "\t 2) María José"
	        echo "OPCIÓN (1/2): "
        	read OPCION
	done

	if [ $OPCION -eq 1 ]; then
		echo "Conectando con Clemente..."
		x11vnc -connect oficina.frabits.com:3457
	else
		echo "Conectando con María José..."
		x11vnc -connect oficina.frabits.com:3458
	fi

	clear

	echo -e "\n"

	echo "#################################################"
	echo "################  Frabits C.B.  #################"
	echo "################                #################"
	echo "################ Acceso Remoto  #################"
	echo "################                #################"
	echo "#################  07/01/2015  ##################"
	echo "#################################################"
	echo -e "\n\n"

	echo "Muchas gracias por tu conexión."

else
	echo -e "\n"
	echo -e "Debes tener instalado el programa x11vnc para poder usar el acceso remoto.\n"
	echo "Dependiendo de tu distribución GNU/Linux puedes instalarlo así (como root o con sudo):"
	echo -e "\t Sistemas basados en Debian: apt-get install x11vnc"
	echo -e "\t Sistemas basados en Red Hat Enterprise Linux: yum install x11vnc"
	echo -e "\t Sistemas openSUSE: zypper install x11vnc"
	echo -e "\n"

	echo "Pulsa enter para finalizar."
	read VAR

fi

sleep 3

exit
